import { FernApiEditor } from "@fern-fern/api-editor-sdk";
import { Draft } from "immer";
import { AbstractTransactionHandler } from "../AbstractTransactionHandler";
export declare abstract class AbstractObjectTransactionHander<T> extends AbstractTransactionHandler<T> {
    protected getObjectOrThrow(objectId: FernApiEditor.TypeId): Draft<FernApiEditor.ObjectShape>;
    protected getObjectPropertyOrThrow(objectId: FernApiEditor.TypeId, propertyId: FernApiEditor.ObjectPropertyId): Draft<FernApiEditor.ObjectProperty>;
    protected getObjectExtensionOrThrow(objectId: FernApiEditor.TypeId, extensionId: FernApiEditor.ObjectExtensionId): Draft<FernApiEditor.ObjectExtension>;
}
