import { AbstractObjectTransactionHander } from "./AbstractObjectTransactionHander";
export class CreateObjectExtensionTransactionHandler extends AbstractObjectTransactionHander {
    applyTransaction(transaction) {
        const object = this.getObjectOrThrow(transaction.objectId);
        object.extensions.push({
            extensionId: transaction.extensionId,
            extensionOf: this.getTypeOrThrow(transaction.extensionOf).typeId,
        });
    }
}
