import { FernApiEditor } from "@fern-fern/api-editor-sdk";
import { Draft } from "immer";
import { AbstractTransactionHandler } from "../AbstractTransactionHandler";
export declare abstract class AbstractUnionTransactionHander<T> extends AbstractTransactionHandler<T> {
    protected getUnionOrThrow(unionId: FernApiEditor.TypeId): Draft<FernApiEditor.UnionShape>;
    protected getUnionMemberOrThrow(unionId: FernApiEditor.TypeId, memberId: FernApiEditor.UnionMemberId): Draft<FernApiEditor.UnionMember>;
}
